import { Signal } from '@phosphor/signaling';
export interface INeptuneConnectionParams {
    apiToken: string;
    project: string;
    notebookId: string;
}
export declare class NeptuneConnection {
    private params;
    private _paramsChanged;
    constructor(params: INeptuneConnectionParams);
    getParams: () => INeptuneConnectionParams;
    setParams: (params: INeptuneConnectionParams) => void;
    updateParams: (params: Partial<INeptuneConnectionParams>) => void;
    readonly paramsChanged: Signal<this, INeptuneConnectionParams>;
    listProjects: () => Promise<INeptuneProject[]>;
    validate: () => Promise<void>;
    createNotebook: (path: string) => Promise<any>;
    getNotebook: () => Promise<INeptuneNotebook>;
    createCheckpoint: (path: string, content: string) => Promise<any>;
    getUsername: () => Promise<string>;
    private getAuthorizationHeader;
    private getOAuthToken;
    getApiAddress: () => any;
}
export declare function createConnection(params: Partial<INeptuneConnectionParams>): Promise<NeptuneConnection>;
export declare function createEmptyConnection(): NeptuneConnection;
export declare function getGlobalApiToken(): string;
export declare function setGlobalApiToken(apiToken: string): void;
export interface INeptuneProject {
    id: string;
    organizationName: string;
    name: string;
}
export interface INeptuneNotebook {
    id: string;
    projectId: string;
    path: string;
    owner: string;
    creationTime: string;
    lastCheckpointId: string;
    name: string;
}
