import { INotebookModel } from '@jupyterlab/notebook';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { ContentsManager } from '@jupyterlab/services';
export declare class NeptuneContent {
    private readonly context;
    private readonly contentsManager;
    constructor(context: DocumentRegistry.IContext<INotebookModel>, contentsManager: ContentsManager);
    getNotebookPath: () => string;
    getNotebookContent: () => Promise<string>;
    getMetadata: () => Promise<INeptuneMetadata>;
    validateMetadata: () => Promise<void>;
    updateMetadata: (update: Partial<INeptuneMetadata>) => Promise<void>;
}
interface INeptuneMetadata {
    notebookId?: string;
}
export {};
